#ifndef PROPERTY_INFO_TEST_H
#define PROPERTY_INFO_TEST_H

/*!
  \file
  \brief propertyInfo.cpp ‚ÌƒeƒXƒg
  
  \author Satofumi KAMIMURA
  
  $Id: PropertyInfoTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


class PropertyInfoTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(PropertyInfoTest);
  CPPUNIT_TEST(createTest);
  CPPUNIT_TEST(readTest);
  CPPUNIT_TEST(writeTest);
  CPPUNIT_TEST(createDirTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void createTest(void);
  void readTest(void);
  void writeTest(void);
  void createDirTest(void);
};

#endif /* !PROPERTY_INFO_TEST_H */
